import { defineComponent as p, toRefs as i, openBlock as c, createElementBlock as r, unref as o, createElementVNode as n } from "vue";
const h = { class: "go-border-box" }, $ = ["width", "height"], k = ["fill", "points"], u = ["fill"], f = ["fill", "cx"], y = ["fill", "cx", "cy"], a = ["fill", "cy"], g = ["stroke", "points"], x = ["stroke", "points"], m = ["stroke", "points"], C = ["stroke", "points"], b = ["stroke"], w = ["stroke"], B = ["stroke", "points"], E = ["stroke", "points"], v = ["stroke", "points"], j = ["stroke", "points"], q = ["stroke", "points"], N = ["stroke", "points"], O = p({ name: "EBorder09" }), A = /* @__PURE__ */ p({
  ...O,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(_) {
    const e = _, { w: t, h: s } = i(e.chartConfig.attr), { colors: l, backgroundColor: d } = i(e.chartConfig.option);
    return (R, V) => (c(), r("div", h, [
      (c(), r("svg", {
        width: o(t),
        height: o(s)
      }, [
        n("polygon", {
          fill: o(d),
          points: ` 9, 7 ${o(t) - 9}, 7 ${o(t) - 9}, ${o(s) - 7} 9, ${o(s) - 7}`
        }, null, 8, k),
        n("circle", {
          fill: o(l)[1],
          cx: "5",
          cy: "5",
          r: "2"
        }, null, 8, u),
        n("circle", {
          fill: o(l)[1],
          cx: o(t) - 5,
          cy: "5",
          r: "2"
        }, null, 8, f),
        n("circle", {
          fill: o(l)[1],
          cx: o(t) - 5,
          cy: o(s) - 5,
          r: "2"
        }, null, 8, y),
        n("circle", {
          fill: o(l)[1],
          cx: "5",
          cy: o(s) - 5,
          r: "2"
        }, null, 8, a),
        n("polyline", {
          stroke: o(l)[0],
          points: `10, 4 ${o(t) - 10}, 4`
        }, null, 8, g),
        n("polyline", {
          stroke: o(l)[0],
          points: `10, ${o(s) - 4} ${o(t) - 10}, ${o(s) - 4}`
        }, null, 8, x),
        n("polyline", {
          stroke: o(l)[0],
          points: `5, 70 5, ${o(s) - 70}`
        }, null, 8, m),
        n("polyline", {
          stroke: o(l)[0],
          points: `${o(t) - 5}, 70 ${o(t) - 5}, ${o(s) - 70}`
        }, null, 8, C),
        n("polyline", {
          stroke: o(l)[0],
          points: "3, 10, 3, 50"
        }, null, 8, b),
        n("polyline", {
          stroke: o(l)[0],
          points: "7, 30 7, 80"
        }, null, 8, w),
        n("polyline", {
          stroke: o(l)[0],
          points: `${o(t) - 3}, 10 ${o(t) - 3}, 50`
        }, null, 8, B),
        n("polyline", {
          stroke: o(l)[0],
          points: `${o(t) - 7}, 30 ${o(t) - 7}, 80`
        }, null, 8, E),
        n("polyline", {
          stroke: o(l)[0],
          points: `3, ${o(s) - 10} 3, ${o(s) - 50}`
        }, null, 8, v),
        n("polyline", {
          stroke: o(l)[0],
          points: `7, ${o(s) - 30} 7, ${o(s) - 80}`
        }, null, 8, j),
        n("polyline", {
          stroke: o(l)[0],
          points: `${o(t) - 3}, ${o(s) - 10} ${o(t) - 3}, ${o(s) - 50}`
        }, null, 8, q),
        n("polyline", {
          stroke: o(l)[0],
          points: `${o(t) - 7}, ${o(s) - 30} ${o(t) - 7}, ${o(s) - 80}`
        }, null, 8, N)
      ], 8, $))
    ]));
  }
});
export {
  A as default
};
